<div class="page-layout simple left-sidenav fullwidth" fusePerfectScrollbar>
  <mat-sidenav-container>
    <!-- CENTER -->
    <div class="center mat-primary-50-bg p-24" fusePerfectScrollbar>

      <!-- HEADER -->
      <div class="headers p-24">
        <div fxLayout="row" fxLayout.xs="column" fxLayoutAlign="space-between center">
          <div fxLayoutAlign="start center">
            <button mat-icon-button>
              <mat-icon>group</mat-icon>
            </button>
            <div style="margin-left: 15px;">
              <h2><b>Entradas y Salidas</b></h2>
            </div>
          </div>
          <div fxLayoutAlign="start center" fxLayoutGap="5"  appearance="outline">
            <button (click)="openDialog()" class="header-button" mat-raised-button style="margin: 10px">
              <mat-icon>how_to_reg</mat-icon>
              Nuevo Visitante
            </button>
          </div>
        </div>
      </div>
      <!-- / HEADER -->

      <div class="content-card mat-white-bg fllscrn mat-elevation-z4" fusePerfectScrollbar>

        <div fxFlex="100" fxFlex.sm="100" fxFlex.xs="100">

          <div class="p-24 pb-0">
            <div class="p-24 pb-0" fxLayoutGap="10px" fxLayout="row wrap" fxLayoutAlign="space-between center">
              <mat-form-field appearance="outline" fxFlex="100" fxFlex.gt-xs="44" style="width: 100%">
                <mat-label>Filtra tus Usuarios</mat-label>
                <input (keypress)="onEnter($event)"  [(ngModel)]="nombrePersona"  matInput placeholder="">
              </mat-form-field>
              <mat-form-field appearance="outline" fxFlex="100" fxFlex.gt-xs="44" style="width: 100%">
                <mat-label>Filtra tus Usuarios</mat-label>
                <mat-select [(value)]="tipoIngresante">
                  <mat-option value="0"> SALIDAS</mat-option>
                  <mat-option value="1"> INGRESANTES </mat-option>
                </mat-select>
              </mat-form-field>
              <div fxFlex="100" fxFlex.gt-xs="10" fxLayoutAlign="center start">
                <button mat-raised-button color="accent" (click)="cargarData(1, 10)">Buscar</button>
              </div>
            </div>
          </div>

          <mat-table [dataSource]="listadata" fxFlex="100">

            <!--- Note that these columns can be defined in any order.
                  The actual rendered columns are set as a property on the row definition" -->

            <!-- name Column -->
            <ng-container matColumnDef="name">
              <mat-header-cell *matHeaderCellDef fxLayoutAlign="center center">Nombre  Completo</mat-header-cell>
              <mat-cell *matCellDef="let element" fxLayoutAlign="center center">
                {{element.apellidos}},  {{element.nombre}}
              </mat-cell>
            </ng-container>

            <!-- email Column -->
            <ng-container matColumnDef="document">
              <mat-header-cell fxHide fxShow.gt-sm *matHeaderCellDef fxLayoutAlign="center center"> Documento de Identidad
              </mat-header-cell>
              <mat-cell fxHide fxShow.gt-sm *matCellDef="let element" fxLayoutAlign="center center">
                {{element.tipo_doc.dato}} -   {{element.numero}}
              </mat-cell>
            </ng-container>


            <ng-container matColumnDef="ingreso">
              <mat-header-cell *matHeaderCellDef fxLayoutAlign="center center"> Ingreso
              </mat-header-cell>
              <mat-cell *matCellDef="let element" fxLayoutAlign="center center">
                {{element.hora_entrada | date: 'medium'}}
              </mat-cell>
            </ng-container>

            <ng-container matColumnDef="salida">
              <mat-header-cell *matHeaderCellDef fxLayoutAlign="center center"> Salida
              </mat-header-cell>
              <mat-cell *matCellDef="let element" fxLayoutAlign="center center">
                {{element.hora_salida | date: 'medium'}}
              </mat-cell>
            </ng-container>

            <ng-container matColumnDef="descripcion">
              <mat-header-cell fxHide fxShow.gt-sm *matHeaderCellDef fxLayoutAlign="center center"> Descripción
              </mat-header-cell>
              <mat-cell fxHide fxShow.gt-sm *matCellDef="let element" fxLayoutAlign="center center">
                {{element.detalle}}
              </mat-cell>
            </ng-container>

            <ng-container matColumnDef="acciones">
              <mat-header-cell *matHeaderCellDef fxLayoutAlign="center center"> Acciones
              </mat-header-cell>
              <mat-cell *matCellDef="let element" fxLayoutAlign="center center">
                <button *ngIf="!element.hora_salida" (click)="salida(element.id)" color="primary" mat-icon-button> <mat-icon style="width: 30px; height: 30px;" svgIcon="exit" [inline]="true"></mat-icon></button>
                <span *ngIf="element.hora_salida"> <b>SIN ACCIONES</b></span>
              </mat-cell>
            </ng-container>

            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns;" class="likebutton"></mat-row>
          </mat-table>
          <mat-card *ngIf="listadata == null" fxFlex="100" fxLayout="row" fxLayoutAlign="center center"
                    style="height: 60px;">
            <p>No hay datos para mostrar.</p>
          </mat-card>
          <mat-paginator [length]="listadatacomplete ? listadatacomplete.total : 0"
                         [hidePageSize]="false"
                         [showFirstLastButtons]="true"
                         [pageSize]="listadatacomplete ? listadatacomplete.per_page: 0"
                         [pageSizeOptions]="[5, 10, 25, 50]"
                         #paginator></mat-paginator>
        </div>
      </div>
      <!-- CONTENT -->
    </div>
    <!-- / CENTER -->
  </mat-sidenav-container>
</div>


